Get real-time progress of a broadcast including delivery counts and estimated completion time.
curl --request GET \
--url https://api.zavu.dev/v1/broadcasts/{broadcastId}/progress \
--header 'Authorization: Bearer <token>'{
"broadcastId": "brd_abc123",
"status": "sending",
"total": 5000,
"pending": 2500,
"sending": 100,
"delivered": 2350,
"failed": 50,
"skipped": 0,
"percentComplete": 48,
"estimatedCost": 75,
"reservedAmount": 75,
"actualCost": 35.25,
"startedAt": "2024-01-15T10:30:00.000Z",
"estimatedCompletionAt": "2024-01-15T10:45:00.000Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Broadcast progress.
Current status of the broadcast.
draft, pending_review, approved, rejected, escalated, rejected_final, scheduled, sending, paused, completed, cancelled, failed Total contacts in broadcast.
Not yet queued for sending.
Currently being sent.
Successfully delivered.
Failed to deliver.
Skipped (broadcast cancelled).
Percentage complete (0-100).
Estimated total cost in USD.
Amount reserved from balance in USD.
Actual cost so far in USD.
curl --request GET \
--url https://api.zavu.dev/v1/broadcasts/{broadcastId}/progress \
--header 'Authorization: Bearer <token>'{
"broadcastId": "brd_abc123",
"status": "sending",
"total": 5000,
"pending": 2500,
"sending": 100,
"delivered": 2350,
"failed": 50,
"skipped": 0,
"percentComplete": 48,
"estimatedCost": 75,
"reservedAmount": 75,
"actualCost": 35.25,
"startedAt": "2024-01-15T10:30:00.000Z",
"estimatedCompletionAt": "2024-01-15T10:45:00.000Z"
}